<!DOCTYPE html>
<html>
    <head>
        <meta charset="UTF-8">
        <title>{% block title %}Welcome!{% endblock %}</title>
        <link rel="icon" href="data:image/svg+xml,<svg xmlns=%22http://www.w3.org/2000/svg%22 viewBox=%220 0 128 128%22><text y=%221.2em%22 font-size=%2296%22>⚫️</text></svg>">
        {# Run `composer require symfony/webpack-encore-bundle` to start using Symfony UX #}
        {% block stylesheets %}
            {{ encore_entry_link_tags('app') }}
        {% endblock %}
        {% block javascripts %}
            {{ encore_entry_script_tags('app') }}
        {% endblock %}
    </head>
    <body>
        <div class="container">
            <header>
                <ul>
                    <li><h1><a href="{{ path('app_home') }}">Europlant</a></h1></li>
                    {% if app.user %}
                        <li><a href="{{ path('app_product_new') }}">Ajouter un produit</a></li>
                        {% if app.user.isAdmin %}
                            <li><a href="{{ path('app_order_index') }}">Voir les commandes</a></li>
                        {% endif %}
                        <li><a href="{{ path('app_logout') }}">Se déconnecter</a></li>
                    {% else %}
                        <li><a href="{{ path('app_login') }}">Se connecter</a></li>
                        <li><a href="{{ path('app_user_new') }}">S'inscrire</a></li>
                    {% endif %}
                </ul>
                {% if app.user %}
                    <a href="{{ path('app_informations') }}">Mes informations</a>
                {% endif %}
            </header>
            {% block body %}{% endblock %}
        </div>
    </body>
</html>
